Bug 131746 - installer crashes when NFS server is not running
Summary: installer crashes when NFS server is not running
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-03 20:51 UTC by Max Spevack
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 14:49:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2004:518 normal SHIPPED_LIVE Updated anaconda and pump packages 2004-12-21 05:00:00 UTC

Description Max Spevack 2004-09-03 20:51:00 UTC
Description of problem:

I was trying to do an NFS install of RHEL3U2, and every time I entered
the information of the server/directory (using linux askmethod) when I
installed, it would say something like "installer exited with signal
11" and I would have to reboot.

After a while I realized that I had rebooted the machine that had the
install images available over NFS, and I hadn't restarted nfs on that
machine.

The bug here is that if nfsd isn't running on the machine name
entered, the installer should re-prompt or give an error message to
that effect rather than crash with only signal 11 as the output, since
that offers no real debugging information to the user.


Version-Release number of selected component (if applicable):
rhel3u2

How reproducible:
always -- try installing via NFS when the machine that you enter as
the nfs host isn't running nfsd

Steps to Reproduce:
1. see description
2.
3.
  
Actual results:

anaconda crashes

Expected results:

non-crash, more informative error message

Additional info:

Comment 1 Jeremy Katz 2004-09-07 04:20:18 UTC
Merged the fix from HEAD to the RHEL3 branch for a future update.

Comment 2 John Flanagan 2004-12-21 14:49:15 UTC
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2004-518.html



Note You need to log in before you can comment on or make changes to this bug.